Download it now!
Bug 37429 - EDITING: Crash when copy / paste table from Writer
Summary: EDITING: Crash when copy / paste table from Writer
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.4.0 RC1
Hardware: All All
: high critical
Assignee: Markus Mohrhard
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: mab3.4
  Show dependency treegraph
 
Reported: 2011-05-21 03:14 UTC by Arnaud Versini
Modified: 2012-03-13 05:11 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Backtrace in debug (8.80 KB, text/plain)
2011-05-21 12:44 UTC, Arnaud Versini
Details
LO Bug 37429 Paste table with data from Writer to Calc ODT (14.33 KB, application/vnd.oasis.opendocument.text)
2012-03-12 09:00 UTC, Timur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Arnaud Versini 2011-05-21 03:14:32 UTC
To reproduce :

Create a new text document.
Insert a table
Copy this table to a new Calc document -> Crash and no core dump

Always reproductible
Comment 1 Arnaud Versini 2011-05-21 03:15:29 UTC
Reproduced on Windows XP and Ubuntu 11.04.
Comment 2 Arnaud Versini 2011-05-21 03:38:30 UTC
#0  0x00007fffcd4f0ba2 in ?? () from /opt/libreoffice3.4/basis3.4/program/libscfiltlx.so
#1  0x00007fffcd4f0f45 in ?? () from /opt/libreoffice3.4/basis3.4/program/libscfiltlx.so
#2  0x00007fffd844df49 in ?? () from /opt/libreoffice3.4/program/../basis-link/program/libeditenglx.so
#3  0x00007ffff4a7ac23 in SvRTFParser::Continue(int) () from /opt/libreoffice3.4/program/../basis-link/program/libsvtlx.so
#4  0x00007fffd84fec69 in SvxRTFParser::Continue(int) () from /opt/libreoffice3.4/program/../basis-link/program/libeditenglx.so
#5  0x00007ffff4a7ab35 in SvRTFParser::CallParser() () from /opt/libreoffice3.4/program/../basis-link/program/libsvtlx.so
#6  0x00007fffd844c957 in ?? () from /opt/libreoffice3.4/program/../basis-link/program/libeditenglx.so
#7  0x00007fffd8478120 in ?? () from /opt/libreoffice3.4/program/../basis-link/program/libeditenglx.so
#8  0x00007fffd8478f65 in ?? () from /opt/libreoffice3.4/program/../basis-link/program/libeditenglx.so
#9  0x00007fffd84323d3 in EditEngine::Read(SvStream&, String const&, EETextFormat, SvKeyValueIterator*) () from /opt/libreoffice3.4/program/../basis-link/program/libeditenglx.so
#10 0x00007fffcd4f0143 in ?? () from /opt/libreoffice3.4/basis3.4/program/libscfiltlx.so
#11 0x00007fffcd4ec94e in ?? () from /opt/libreoffice3.4/basis3.4/program/libscfiltlx.so
#12 0x00007fffcf6bd679 in ScImportExport::RTF2Doc(SvStream&, String const&) () from /opt/libreoffice3.4/program/../basis-link/program/libsclx.so
#13 0x00007fffcf6c150b in ScImportExport::ImportStream(SvStream&, String const&, unsigned long) () from /opt/libreoffice3.4/program/../basis-link/program/libsclx.so
#14 0x00007fffcf9ccefc in ?? () from /opt/libreoffice3.4/program/../basis-link/program/libsclx.so
#15 0x00007fffcf9c593a in ScViewFunc::PasteFromSystem(unsigned long, unsigned char) () from /opt/libreoffice3.4/program/../basis-link/program/libsclx.so
#16 0x00007fffcf9c7d83 in ScViewFunc::PasteFromSystem() () from /opt/libreoffice3.4/program/../basis-link/program/libsclx.so
#17 0x00007fffcf8f3fe7 in ?? () from /opt/libreoffice3.4/program/../basis-link/program/libsclx.so
#18 0x00007fffcf8f7c2e in ?? () from /opt/libreoffice3.4/program/../basis-link/program/libsclx.so
#19 0x00007ffff52c91d9 in ?? () from /opt/libreoffice3.4/program/../basis-link/program/libsfxlx.so
#20 0x00007ffff52be00b in ?? () from /opt/libreoffice3.4/program/../basis-link/program/libsfxlx.so
#21 0x00007ffff52e1fde in ?? () from /opt/libreoffice3.4/program/../basis-link/program/libsfxlx.so
#22 0x00007ffff52e29e9 in ?? () from /opt/libreoffice3.4/program/../basis-link/program/libsfxlx.so
#23 0x00007ffff4a3adf5 in ?? () from /opt/libreoffice3.4/program/../basis-link/program/libsvtlx.so
#24 0x00007ffff343dbca in ?? () from /opt/libreoffice3.4/program/../basis-link/program/libvcllx.so
#25 0x00007ffff33d57f8 in ?? () from /opt/libreoffice3.4/program/../basis-link/program/libvcllx.so
#26 0x00007fffea0f1a9f in SalDisplay::DispatchInternalEvent() () from /opt/libreoffice3.4/basis3.4/program/libvclplug_genlx.so
#27 0x00007fffebe57b54 in ?? () from /opt/libreoffice3.4/basis3.4/program/libvclplug_gtklx.so
#28 0x00007fffea377bcd in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#29 0x00007fffea3783a8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#30 0x00007fffea378639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#31 0x00007fffebe5958d in ?? () from /opt/libreoffice3.4/basis3.4/program/libvclplug_gtklx.so
#32 0x00007ffff31add31 in Application::Yield(bool) () from /opt/libreoffice3.4/program/../basis-link/program/libvcllx.so
#33 0x00007ffff31adde7 in Application::Execute() () from /opt/libreoffice3.4/program/../basis-link/program/libvcllx.so
#34 0x00007ffff7927e2f in ?? () from /opt/libreoffice3.4/program/../basis-link/program/libsofficeapp.so
#35 0x00007ffff31b3073 in ?? () from /opt/libreoffice3.4/program/../basis-link/program/libvcllx.so
#36 0x00007ffff31b3165 in SVMain() () from /opt/libreoffice3.4/program/../basis-link/program/libvcllx.so
#37 0x00007ffff794cfec in soffice_main () from /opt/libreoffice3.4/program/../basis-link/program/libsofficeapp.so
#38 0x0000000000400fdb in main ()
Comment 3 Rainer Bielefeld Retired 2011-05-21 07:37:17 UTC
[Reproducible] with "LibreOffice 3.4.0RC1  – WIN7  Home Premium  (64bit) English UI [OOO340m1 (Build:11)]". 
1. Created a new WRITER document, 
2. inserted a 2C2R table with 1 letter in each cell
3. click into first cell, 2 times <ctrl+a> to select all table contents, 
   <ctrl+c> for copy
4. Created new Calc document from Writer document / File dialog
5. Clicked A1
6. <ctrl+v> for paste
   Expected: Table contents appears in Spreadsheet
   Actual: LibO stops responding

Paste Special > as RTF also causes crash, but not paste as html, plain text, DDE link, WRITER document.

Crash also appears when I close WRITER before I paste, so I see this one as a cALC problem

@Kohei:
Please feel free to reassign if you do not want to be the assignee.
Comment 4 Arnaud Versini 2011-05-21 12:44:04 UTC
Created attachment 46978 [details]
Backtrace in debug
Comment 5 Markus Mohrhard 2011-05-22 10:40:48 UTC
I'm working on it. I already found the problem.

I hope I get the fix into 3.4.0.
Comment 6 Markus Mohrhard 2011-05-23 06:24:33 UTC
Will be fixed in 3.4RC2.
Comment 7 Timur 2012-03-12 08:59:27 UTC
I'm using LO 3.5.0 on Win 7 64bit. 
While the bug described here (Crash when copy / paste EMPTY table from Writer) is fixed, I'm experiencing a Crash when copy / paste table WITH DATA from Writer to Calc.
I attached Writer document with the particular table that causes crash. 
Is it the similar bug or I should open a new one?
Comment 8 Timur 2012-03-12 09:00:27 UTC
Created attachment 58325 [details]
LO Bug 37429 Paste table with data from Writer to Calc ODT
Comment 9 Markus Mohrhard 2012-03-13 03:09:37 UTC
Please open a new bug report for this.

Please never open old fixed bug reports that only seem to be related. They are most likely not related.
Comment 10 Timur 2012-03-13 05:11:51 UTC
Thank you, sorry. 
I opened Bug 47274 - EDITING: Crash when copy/paste table with data from Writer.